Getting started with Qt - missing software items

Hello everybody,
I am trying to install qt crossdevelopment envirinment according to:
https://developer.toradex.com/knowledge-base/how-to-set-up-qt-creator-to-cross-compile-for-embedded-linux
and related documents.
My host CPU is: i686 opmode 32/64 bit, i.e not native x86_64 64 bit.
Operating system is OpenSuse 13.1
On:
https://developer.toradex.com/knowledge-base/board-support-package/openembedded-(core)
I find that some “software” is required, according to:
http://www.openembedded.org/wiki/Getting_started#Required_software

However I could not install all of them on any OpenSuse distributions supporting
32 bit CPU: OpenSuse 13.2 and OpenSuse Thumbleweed.
For instance on OpenSuse 13.2:
sudo zipper install python : python 2.7.8 already installed, (latest version) no update candidate.
sudo zipper install gcc : gcc-4.8-7.1.2 installed.
sudo zipper install gcc-c++ : gcc-c++ 4.8-7.1.2 installed.
sudo zipper install git : git 2.1.2-2.1installed.
sudo zipper install chrpath : chrpath 0.16-2.1.2 installed.
sudo zipper install make : make 4.0-2.2.3 installed.
sudo zipper install wget : wget 1.15-4.1.3 already installed, (latest version) no update candidate.
sudo zipper install python-xml : python-xml-2.7.8-1.2 already installed, (latest version) no update candidate.
sudo zipper install diffstat : diffstat-1.59 installed.
sudo zipper install makeinfo : makeinfo-4.13°-38.1.2 installed.
sudo zipper install python-curses : python-curses-2.7.8-1.1 installed.
sudo zipper install patch : patch-2.7.1-7.1.2 installed.
sudo zipper install socat : socat-1.7.2.4 already installed, no update candidate.
sudo zipper install python3 : python3-3.4-4.2.1 già installed, no update candidate.
sudo zipper install python3-curses : python3-curses not found.
sudo zipper install tar : tar-1.28-2.2.2 already installed, (latest version).
sudo zipper install python3-pip : python3-pip not found.
sudo zipper install python3-pexpect : python3- pexpect not found.
sudo zipper install xy : xy not found.
sudo zipper install which : which-2.20-4.1.2 already installed, (latest version), no update candidate

Moreover OpenSuse Thumbleweed is a “rolling update” distribution not officilally tested and updated.
Alternate OpenSuse distribution is the Leap distribution, however it is developed for native 64 bits CPU.

According to you which is the best solution ?

  1. Change Linux distribution, for instance Fedora 27 which is cited among your documentation ?

  2. Change PC, supporting a 64 bit CPU ? Did By the way did you ever tested OpenSuse Leap in installing Qt environment ?

Thanks you for your support.

Michele Venturi.

Trying to solve your problem:

Links packages:

http://ftp5.gwdg.de/pub/opensuse/repositories/home:/Ledest:/bashisms/openSUSE_13.2/noarch/python3-pip-9.0.1-73.1.noarch.rpm

https://download.opensuse.org/repositories/openSUSE:/13.2/standard/x86_64/xz-5.0.7-1.1.x86_64.rpm

Resolve package python3-pexpect
# pip3 install pexpect

On the installation of python3-curses, I verified that it no longer has support:
# python3 -c 'import curses'

No output say module installed OK!

Answer:

1) Try to use officially supported distributions now:

http://www.yoctoproject.org/docs/2.4.1/mega-manual/mega-manual.html#packages

Optional: Upgrade your OpenSuse to the latest version!

2) Sure, use an 64-bit host!


Cleiton Bueno

Blog | Linkedin | B2Open